﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication7
{
    public partial class AxisXStart : UserControl
    {
        public AxisXStart()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(AxisXStart_Loaded);
        }

        void AxisXStart_Loaded(object sender, RoutedEventArgs e)
        {
            this.SetMappings(this.chartProcessHistory);
            chartProcessHistory.ItemsSource = new List<MyOb>() {
                new MyOb(5, new DateTime(2010, 08, 18)),
                new MyOb(4, new DateTime(2010, 08, 23)),
                new MyOb(8, new DateTime(2010, 08, 26))
            };

            DateTime startDate = new DateTime(2010, 08, 18);

            this.chartProcessHistory.DefaultView.ChartArea.AxisX.IsDateTime = true;
            this.chartProcessHistory.DefaultView.ChartArea.AxisX.DefaultLabelFormat = "dd-MMM";
            this.chartProcessHistory.DefaultView.ChartArea.AxisX.AutoRange = false;
            this.chartProcessHistory.DefaultView.ChartArea.AxisX.Step = 7;

            while (startDate.DayOfWeek != DayOfWeek.Friday) startDate = startDate.AddDays(-1);
            this.chartProcessHistory.DefaultView.ChartArea.AxisX.MinValue = startDate.ToOADate();
            this.chartProcessHistory.DefaultView.ChartArea.AxisX.MaxValue = DateTime.Now.AddDays(3).ToOADate();

        }

        
    private void SetMappings(RadChart chart)
		{
			SeriesMapping seriesMapping = new SeriesMapping();
			seriesMapping.SeriesDefinition = new LineSeriesDefinition();
			ItemMapping itemMapping = new ItemMapping();
			itemMapping.DataPointMember = DataPointMember.YValue;
			itemMapping.FieldName = "Value";
			seriesMapping.ItemMappings.Add(itemMapping);
            itemMapping = new ItemMapping();
			itemMapping.DataPointMember = DataPointMember.XValue;
			itemMapping.FieldName = "Date";
			seriesMapping.ItemMappings.Add(itemMapping);
			chart.SeriesMappings.Add(seriesMapping);
		}


    }


    public class MyOb
    {
        public double Value { get; set; }
        public DateTime Date { get; set; }
        public MyOb(double value, DateTime date)
        {
            this.Value = value;
            this.Date = date;
        }
    }

}
